package io.zipcoder.casino;

import org.junit.Assert;
import org.junit.Test;

import java.security.PublicKey;

public class TestPlayer {

    @Test
    public void testGetBet() {
        //given
        Wallet wallet = new Wallet(100.00, "Nury H.");
        Player player = new Player(wallet, 50);
        double expected = 50;
        //when


        Assert.assertEquals(expected, player.getBet(), 0.01);

    }

    @Test
    public void testAddWinnings() {
        //given
        Wallet wallet = new Wallet(100.00, "Nury H.");
        Player player = new Player(wallet, 50);

        //when
        if (player.getState().equals("wins")){
            player.addWining();
        }


        Assert.assertEquals(150.00, wallet.getMoney(), 0.01);

    }
    @Test
    public void testSubtractLoss() {
        Wallet wallet = new Wallet(100.00, "Nury H.");
        Player player = new Player(wallet, 50);

        //when
        if (player.getState().equals("lose")) {
            player.subtractLoss();
        }


        Assert.assertEquals(50, wallet.getMoney(), 0.01);

    }




}


